# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'moto_recall/version'

Gem::Specification.new do |spec|
  spec.name          = "moto_recall"
  spec.version       = MotoRecall::VERSION
  spec.authors       = ["Jordan Stephens"]
  spec.email         = ["jordan@moto-research.com"]
  spec.summary       = %q{Find vehicle recall info by manufacturer and VIN}
  spec.description   = %q{Find vehicle recall info by manufacturer and VIN}
  spec.homepage      = "https://github.com/motologic/moto_recall"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake", "~> 10.3"
  spec.add_development_dependency "rspec", "~> 3.1"
  spec.add_development_dependency "pry-byebug", "~> 2.0"
  spec.add_development_dependency "colorize", "~> 0.7.7"
  spec.add_development_dependency "gimme_vins", "~> 0.0.2"

  spec.add_dependency "activesupport", "~> 4.1", ">= 4.1.0"
  spec.add_dependency "mechanize", "~> 2.7"
  spec.add_dependency "nokogiri", "~> 1.6", ">= 1.6.3"
end
