require "spec_helper"

describe MotoRecall::ClassMap do
  let(:class_map) { MotoRecall::ClassMap }

  describe ".class_for_make" do
    it { expect(class_map.class_for_make(:audi)).to be(MotoRecall::Client::Audi) }
    it { expect(class_map.class_for_make(:bmw)).to be(MotoRecall::Client::Bmw) }
    it { expect(class_map.class_for_make(:buick)).to be(MotoRecall::Client::GeneralMotors) }
    it { expect(class_map.class_for_make(:chevrolet)).to be(MotoRecall::Client::GeneralMotors) }
    it { expect(class_map.class_for_make(:gmc_truck)).to be(MotoRecall::Client::GeneralMotors) }
    it { expect(class_map.class_for_make(:pontiac)).to be(MotoRecall::Client::GeneralMotors) }
    it { expect(class_map.class_for_make(:saab)).to be(MotoRecall::Client::GeneralMotors) }
    it { expect(class_map.class_for_make(:ford)).to be(MotoRecall::Client::Ford) }
    it { expect(class_map.class_for_make(:honda)).to be(MotoRecall::Client::Honda) }
    it { expect(class_map.class_for_make(:chrysler)).to be(MotoRecall::Client::Chrysler) }
    it { expect(class_map.class_for_make(:jeep)).to be(MotoRecall::Client::Chrysler) }
    it { expect(class_map.class_for_make(:kia)).to be(MotoRecall::Client::Kia) }
    it { expect(class_map.class_for_make(:infiniti)).to be(MotoRecall::Client::Infiniti) }
    it { expect(class_map.class_for_make(:volkswagen)).to be(MotoRecall::Client::Volkswagen) }
    it { expect(class_map.class_for_make(:subaru)).to be(MotoRecall::Client::Subaru) }
    it { expect(class_map.class_for_make(:volvo)).to be(MotoRecall::Client::Volvo) }
  end
end
