require "spec_helper"

describe MotoRecall::Recall do
  it "assigns attributes based on input hash" do
    data = {
      type: "1234",
      nhtsa_number: "4843962",
      oem_number: "38971",
      date: "2015-02-24",
      title: "Foo Bar Baz",
      description: "Womp womp",
      safety_risk: "Stay safe out there",
      remedy: "Get well soon",
      status: "Woohoo",
      notes: "I have so much to say"
    }

    recall = MotoRecall::Recall.new(data)

    data.each do |k, v|
      expect(recall.send(k)).to eql(v)
    end
  end
end
